Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Installing earlier version of Subclipse/Subversion
Installing earlier version of Subclipse/Subversion [message #206134] Mon, 24 December 2007 08:25 Go to next message
Eclipse UserFriend
Originally posted by: MacAdam.eden.invalid

Hi,

I want to have the Subclipse functionality in Eclipse. But I installed
the development version (at least, it uses a Maven version that is still
in development). Now I want to "downgrade" to the latest production
release. My question is what should I do to accomplish that?

If I install new functionality in Eclipse I use Help --> Software
Updates --> Find and Install...: Search for new features to install. At
the moment I still have a 'Subclipse update site' in the list with
"Sites to include in search". But I am not able to remove this entry. If
I select this entry, the 'Remove' button is grayed out. Should I remove
this entry?

Now to remove the latest Subclipse installation. Can I remove it by
removing "org.tigris.subversion.javahl.win32_1.2.4" from the
"D:\eclipse\plugins\" directory? (FWIW, I develop on XP and use Eclipse
Europa).

TIA
Abel
Re: Installing earlier version of Subclipse/Subversion [message #206155 is a reply to message #206134] Mon, 24 December 2007 19:43 Go to previous message
Snjezana Peco is currently offline Snjezana PecoFriend
Messages: 789
Registered: July 2009
Senior Member
You can disable a feature using Help>Software Updates>Manage Configuration.
If you want to remove the feature, you need to remove org.tigris.*
plugins from the "D:\eclipse\plugins\" directory and org.tigris*
features from the "D:\eclipse\features\" directory.
You have to start Eclipse using the -clean option after removing the
feature. If Eclipse doesn't start, remove the
"D:\eclipse\configuration\org.eclipse.update\platform.xml" and restart
Eclipse.

Snjeza

Abel wrote:
> Hi,
>
> I want to have the Subclipse functionality in Eclipse. But I installed
> the development version (at least, it uses a Maven version that is still
> in development). Now I want to "downgrade" to the latest production
> release. My question is what should I do to accomplish that?
>
> If I install new functionality in Eclipse I use Help --> Software
> Updates --> Find and Install...: Search for new features to install. At
> the moment I still have a 'Subclipse update site' in the list with
> "Sites to include in search". But I am not able to remove this entry. If
> I select this entry, the 'Remove' button is grayed out. Should I remove
> this entry?
>
> Now to remove the latest Subclipse installation. Can I remove it by
> removing "org.tigris.subversion.javahl.win32_1.2.4" from the
> "D:\eclipse\plugins\" directory? (FWIW, I develop on XP and use Eclipse
> Europa).
>
> TIA
> Abel
Previous Topic:Null Pointer generated when copying text from external source into XML Doc
Next Topic:What's the replacement of UpdateProjectClasspath.updateProjectDependency in WTP 2.0
Goto Forum:
  


Current Time: Sun Dec 21 00:36:19 GMT 2014

Powered by FUDForum. Page generated in 0.01566 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software